Bug 1225035 - mono4 build crash on ppc64
Summary: mono4 build crash on ppc64
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mono
Version: 23
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-05-26 13:07 UTC by Ngo Than
Modified: 2016-10-30 16:13 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-30 16:13:57 UTC


Attachments (Terms of Use)

Description Ngo Than 2015-05-26 13:07:20 UTC
mono-4.0.1-8.fc23 (with bootstrap 1) build does crash on ppc64 in rawhide

/builddir/build/BUILD/mono-4.0.1/libtool --mode=execute /builddir/build/BUILD/mono-4.0.1/mono/mini/mono --config /builddir/build/BUILD/mono-4.0.1/runtime/etc/mono/config .//class/lib/monolite/basic.exe -sdk:2
Stacktrace:

  at <unknown> <0xffffffff>
  at System.Console.SetupStreams (System.Text.Encoding,System.Text.Encoding) <0x00094>
  at System.Console..cctor () <0x003b8>
  at (wrapper runtime-invoke) object.runtime_invoke_void (object,intptr,intptr,intptr) <0xffffffff>
  at <unknown> <0xffffffff>
  at Mono.CSharp.Driver.Main (string[]) <0x000e8>
  at (wrapper runtime-invoke) <Module>.runtime_invoke_int_object (object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0x1d5848) [0x3fff9ea95848]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0x23dcdc) [0x3fff9eafdcdc]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xd55d0) [0x3fff9e9955d0]
        linux-vdso64.so.1(__kernel_sigtramp_rt64+0) [0x3fff9e840478]
        [0x4e80002000000000]
        [0x3fff9c8098ec]
        [0x3fff9c7fed44]
        [0x3fff9c7fe74c]
        [0x3fff9c7fd5a8]
        [0x3fff9c7fd38c]
        [0x3fff9c7fcbf4]
        [0x3fff9c7f4b40]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xd50ec) [0x3fff9e9950ec]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(mono_runtime_invoke-0x274f9c) [0x3fff9ec3b6fc]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0x374864) [0x3fff9ec34864]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xd3ed4) [0x3fff9e993ed4]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xd4344) [0x3fff9e994344]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xd4528) [0x3fff9e994528]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(mono_compile_method-0x27b2b4) [0x3fff9ec35144]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0x1d7e1c) [0x3fff9ea97e1c]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0x1d8464) [0x3fff9ea98464]
        [0x3fff9e3601d4]
        [0x3fff9c7fbb14]
        [0x3fff9c7f632c]
        [0x3fff9c7f4b40]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xd50ec) [0x3fff9e9950ec]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(mono_runtime_invoke-0x274f9c) [0x3fff9ec3b6fc]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0x374864) [0x3fff9ec34864]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xd3ed4) [0x3fff9e993ed4]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xd4344) [0x3fff9e994344]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xd4528) [0x3fff9e994528]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(mono_compile_method-0x27b2b4) [0x3fff9ec35144]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0x1d7e1c) [0x3fff9ea97e1c]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0x1d8464) [0x3fff9ea98464]
        [0x3fff9e3601d4]
        [0x3fff9c7f3970]
        [0x3fff9c7f4498]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xd50ec) [0x3fff9e9950ec]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(mono_runtime_invoke-0x274f9c) [0x3fff9ec3b6fc]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(mono_runtime_exec_main-0x271bb8) [0x3fff9ec3ed10]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(mono_runtime_run_main-0x272b20) [0x3fff9ec3dcf8]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(mono_jit_exec-0x44d1c0) [0x3fff9ea52c88]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0x192f88) [0x3fff9ea52f88]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(mono_main-0x44a00c) [0x3fff9ea55eec]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xc2048) [0x3fff9e982048]
        /builddir/build/BUILD/mono-4.0.1/mono/mini/mono(+0xc20c0) [0x3fff9e9820c0]
        /lib64/libc.so.6(+0x44e68) [0x3fff9e474e68]
        /lib64/libc.so.6(__libc_start_main-0x1bc7f0) [0x3fff9e475098]

Debug info from gdb:

Comment 1 Timotheus Pokorra 2015-05-27 07:39:11 UTC
this bug has been reported upstream already in the beginning of April:
https://bugzilla.xamarin.com/show_bug.cgi?id=28679

I have added a comment there.

If I had access to a ppe64 machine, I would try to comment lines to find where exactly in https://github.com/mono/mono/blob/master/mcs/class/corlib/System/Console.cs#L140 the crash happens.

Or perhaps you can see something in that method SetupStreams() that is suspicious?

Comment 2 Ngo Than 2015-05-28 11:27:03 UTC
Hi Timotheus,

thanks for your infos, i will try and will report the results backs soon.

Than

Comment 3 Timotheus Pokorra 2015-06-04 16:00:14 UTC
there has been a comment on https://bugzilla.xamarin.com/show_bug.cgi?id=28679
Bill Seurer got it to work with prerelease GCC 5.0.1
he will post generic patches

Comment 4 Ngo Than 2015-07-02 11:29:46 UTC
i built mono-4.0.2 with his fix committed in GIT and still got the failfure

make[6]: mcs: Command not found
build/profiles/basic.make:93: recipe for target 'build/deps/basic-profile-check.exe' failed
make[6]: *** [build/deps/basic-profile-check.exe] Error 127
*** The compiler 'mcs' doesn't appear to be usable.
*** Trying the 'monolite' directory.
* Assertion at mini-codegen.c:269, condition `vreg >= MONO_MAX_IREGS' not met

Stacktrace:

  at <unknown> <0xffffffff>
  at System.ConsoleDriver.CreateTermInfoDriver (string) <0x00074>
  at System.ConsoleDriver..cctor () <0x001d8>
  at (wrapper runtime-invoke) object.runtime_invoke_void (object,intptr,intptr,intptr) <0xffffffff>
  at <unknown> <0xffffffff>
  at System.Console.SetupStreams (System.Text.Encoding,System.Text.Encoding) <0x00094>
  at System.Console..cctor () <0x003b8>
  at (wrapper runtime-invoke) object.runtime_invoke_void (object,intptr,intptr,intptr) <0xffffffff>
  at <unknown> <0xffffffff>
  at Mono.CSharp.Driver.Main (string[]) <0x000e8>
  at (wrapper runtime-invoke) <Module>.runtime_invoke_int_object (object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x100c18ec]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x10106758]
        linux-vdso64.so.1(__kernel_sigtramp_rt64+0) [0x3fff90820478]
        /lib64/libc.so.6(gsignal-0x1a31e0) [0x3fff9044f928]
        /lib64/libc.so.6(abort-0x1a0bcc) [0x3fff9045223c]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x1028e854]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x1028eb24]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x1028ec1c]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x100b7fa4]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x100f3cdc]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x10078870]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x10031b88]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x100353e0]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x10036218]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono(mono_runtime_invoke-0x1f877c) [0x101df0a4]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x101df68c]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x10035730]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x10035f50]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono(mono_compile_method-0x1fbf64) [0x101db74c]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x100c3260]
        [0x3fff89c701d4]
        [0x3fff89889fdc]
        [0x3fff8988985c]
        [0x3fff89884b10]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x100360c4]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono(mono_runtime_invoke-0x1f877c) [0x101df0a4]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x101df68c]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x10035730]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x10035f50]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono(mono_compile_method-0x1fbf64) [0x101db74c]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x100c3260]
        [0x3fff89c701d4]
        [0x3fff8988877c]
        [0x3fff898862e4]
        [0x3fff89884b10]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x100360c4]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono(mono_runtime_invoke-0x1f877c) [0x101df0a4]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x101df68c]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x10035730]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x10035f50]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono(mono_compile_method-0x1fbf64) [0x101db74c]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x100c3260]
        [0x3fff89c701d4]
        [0x3fff89883960]
        [0x3fff89884478]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x100360c4]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono(mono_runtime_invoke-0x1f877c) [0x101df0a4]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono(mono_runtime_exec_main-0x1f53d0) [0x101e2720]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono(mono_jit_exec-0x33d4e0) [0x1008df20]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono(mono_main-0x33bc88) [0x1008f798]
        /home/than/rpmbuild/BUILD/mono-4.0.2/mono/mini/mono() [0x1002674c]
        /lib64/libc.so.6(+0x44d08) [0x3fff90434d08]
        /lib64/libc.so.6(__libc_start_main-0x1bc950) [0x3fff90434f38]

Debug info from gdb:

Comment 5 Jan Kurik 2015-07-15 14:06:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Peter Robinson 2015-10-26 15:35:31 UTC
Seems not to be completely fixed, some build, some don't


Note You need to log in before you can comment on or make changes to this bug.